openSUSE Security Update: Security update for MozillaThunderbird
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:2874-1
Rating:             important
References:         #1188891 
Cross-References:   CVE-2021-29980 CVE-2021-29984 CVE-2021-29985
                    CVE-2021-29986 CVE-2021-29988 CVE-2021-29989
                   
CVSS scores:
                    CVE-2021-29980 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-29984 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-29985 (SUSE): 6.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
                    CVE-2021-29986 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-29988 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-29989 (SUSE): 7.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes 6 vulnerabilities is now available.

Description:

   This update for MozillaThunderbird fixes the following issues:

   Update to version 78.13 (MFSA 2021-35, bsc#1188891)

   - CVE-2021-29986: Race condition when resolving DNS names could have led
     to memory corruption
   - CVE-2021-29988: Memory corruption as a result of incorrect style
     treatment
   - CVE-2021-29984: Incorrect instruction reordering during JIT optimization
   - CVE-2021-29980: Uninitialized memory in a canvas object could have led
     to memory corruption
   - CVE-2021-29985: Use-after-free media channels
   - CVE-2021-29989: Memory safety bugs fixed in Thunderbird 78.13


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-2874=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      MozillaThunderbird-78.13.0-8.36.1
      MozillaThunderbird-debuginfo-78.13.0-8.36.1
      MozillaThunderbird-debugsource-78.13.0-8.36.1
      MozillaThunderbird-translations-common-78.13.0-8.36.1
      MozillaThunderbird-translations-other-78.13.0-8.36.1


References:

   https://www.suse.com/security/cve/CVE-2021-29980.html
   https://www.suse.com/security/cve/CVE-2021-29984.html
   https://www.suse.com/security/cve/CVE-2021-29985.html
   https://www.suse.com/security/cve/CVE-2021-29986.html
   https://www.suse.com/security/cve/CVE-2021-29988.html
   https://www.suse.com/security/cve/CVE-2021-29989.html
   https://bugzilla.suse.com/1188891